// packageH/income/consumeReward/consumeReward.js
// packageE/superior/superior.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    active: 0,

    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数

    listData: [],

    info: {},

    loading: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getUserData();
    this.getData();
  },
  getUserData() {
    let urlStr = app.getNetAddresss(
      "plugin.consume-reward.frontend.member.getMemberDetail"
    );
    app._getNetWork({
      url: urlStr,
      success: (resdata) => {
        let res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        console.log(res);
        if (res.data.plugin_name) {
          wx.setNavigationBarTitle({
            title: res.data.plugin_name,
          });
        }
        this.setData({
          info: res.data,
        });
      },
    });
  },
  swichTabTItem(e) {
    this.setData({
      loading: false,
      active: e.detail.index,
      page: 1,
      list: [],
    });
    this.getData();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.current_page >= this.data.last_page) {
      return;
    } else {
      let pages = this.data.page + 1;
      this.setData({
        page: pages,
      });
      this.getMore();
    }
  },

  gotoDetails(evt) {
    let id = evt.currentTarget.dataset.id;
    wx.navigateTo({
      url:
        "/packageH/income/consumeReward/consumeDetails/consumeDetails?id=" + id,
    });
  },
  gotoMessage() {
    this.setData({
      "info.message_count": 0,
    });
    wx.navigateTo({
      url: "/packageH/income/consumeReward/consumeMessage/consumeMessage",
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getData() {
    wx.showLoading({
      title: "加载中",
    });
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.consume-reward.frontend.member.getMemberOrder"
    );
    app._postNetWork({
      url: urlStr,
      data: {
        state: this.data.active,
        page: this.data.page,
      },
      success: (resdata) => {
        let res = resdata.data;
        wx.hideLoading({
          success: (res) => {},
        });
        if (res.result == 1) {
          that.setData({
            loading: true,
            listData: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res.msg);
      },
    });
  },
  getMore() {
    wx.showLoading({
      title: "加载中",
    });
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.consume-reward.frontend.member.getMemberOrder"
    );
    app._postNetWork({
      url: urlStr,
      data: {
        state: this.data.active,
        page: this.data.page,
      },
      success: (resdata) => {
        let res = resdata.data;
        wx.hideLoading({
          success: (res) => {},
        });
        if (res.result == 1) {
          that.setData({
            listData: that.data.listData.concat(res.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res.msg);
      },
    });
  },
});
